#!/usr/bin/python3
#
# Convertir un nombre binaire en décimale

binaire = input("Entrez un nombre binaire (des 0 et 1): ")
longueur = len(binaire) # len(s) = longueur du str s
somme = 0

for i in range(longueur):   
    bit = int(binaire[i])
    if bit == 0 or bit == 1:
        somme += bit * 2**(longueur - i - 1)
    else :
        print("Expression non valide.")
        break
else:
    print("Ce nombre en notation décimale est", somme)
